# YouTube Data API . thumbnails

## Instance Methods

Uploads a custom video thumbnail to YouTube and sets it for a video.

### Method Details

`set(videoId, media_body=None)`

    Uploads a custom video thumbnail to YouTube and sets it for a video.

    Args:
      videoId: string, The videoId parameter specifies a YouTube video ID for which the custom video thumbnail is being provided. (required)
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.

    Returns:
      An object of the form:

        { # A list of thumbnails returned as the response to a thumbnails.set call.
        "items": [ # A list of thumbnails.
          { # Internal representation of thumbnails for a YouTube resource.
            "default": { # A thumbnail is an image representing a YouTube resource. # The default image for this resource.
              "url": "A String", # The thumbnail image's URL.
              "width": 42, # (Optional) Width of the thumbnail image.
              "height": 42, # (Optional) Height of the thumbnail image.
            },
            "high": { # A thumbnail is an image representing a YouTube resource. # The high quality image for this resource.
              "url": "A String", # The thumbnail image's URL.
              "width": 42, # (Optional) Width of the thumbnail image.
              "height": 42, # (Optional) Height of the thumbnail image.
            },
            "medium": { # A thumbnail is an image representing a YouTube resource. # The medium quality image for this resource.
              "url": "A String", # The thumbnail image's URL.
              "width": 42, # (Optional) Width of the thumbnail image.
              "height": 42, # (Optional) Height of the thumbnail image.
            },
            "maxres": { # A thumbnail is an image representing a YouTube resource. # The maximum resolution quality image for this resource.
              "url": "A String", # The thumbnail image's URL.
              "width": 42, # (Optional) Width of the thumbnail image.
              "height": 42, # (Optional) Height of the thumbnail image.
            },
            "standard": { # A thumbnail is an image representing a YouTube resource. # The standard quality image for this resource.
              "url": "A String", # The thumbnail image's URL.
              "width": 42, # (Optional) Width of the thumbnail image.
              "height": 42, # (Optional) Height of the thumbnail image.
            },
          },
        ],
        "kind": "youtube#thumbnailListResponse", # The type of the API response. For this operation, the value will be youtube#thumbnailListResponse.
        "etag": "A String", # The ETag of the response.
        "visitorId": "A String", # The visitorId identifies the visitor.
      }